function []=GraphReg(x,y,yc,e,a,noY,xName);
%
% function []=GraphReg(x,y,yc,e,a,noY,W,w);
%
% Fonction affichant les graphiques pour l'analyse des rsultats des rgressions
% Input :   x : Attributs calculs sur les modeles (matrice n x p)
%           y : Parametres a estimer (vecteur n x 1)
%          yc : Parametres estims (vecteur n x 1)
%           e : Erreurs de la rgression (vecteur n x 1)
%           a : Structure contenant entre autres les noms des Attributs
%         noY : Numro du parametre a estimer (2:StrikeExt, 3:DipExt, 4:Depth, 5:st, 6:Dip, 7:Size)
% Output :  Figure(1) : y et yc vs Modele
%           Figure(2) : yc vs y
%           Figure(3) : tude des rsidus (e vs Modele, histogramme des e)
%
% Maxime Claprood
%
%
switch noY
    case 2
       Nom=char('Longueur')
   case 3
       Nom=char('Etendue selon le pendage')
   case 4
       Nom=char('Profondeur')
   case 5
       Nom=char('log(Conductance)')
   case 6
       Nom=char('Pendage')
   case 7
       Nom=char('log(Taille)')
end
%
% Y et Yc versus Modele Id
%
figure(1)
set(figure(1),'Color',[1 1 1])
set(figure(1),'Position',[10 40 1000 650])
plot(x(:,1),y,'k+',x(:,1),yc,'b.')
xlabel('Numro des modeles','fontweight','bold','fontsize',12);
ylabel(['Valeurs observes et prdites de : ' Nom],'fontweight','bold','fontsize',12);
legend('Y - Valeurs observes','Yc - Valeurs prdites',2)
%print -depsc YetYcvsID
%
% Yc versus Y
%
ptit=0;
grand=180;
ecart=20;
figure(2);
set(figure(2),'Color',[1 1 1])
set(figure(2),'Position',[10 40 1000 650])
plot(y,yc,'r.',[ptit+ecart grand-ecart],[ptit+ecart grand-ecart],'b-','linewidth',2)
axis([ptit grand ptit grand])
xlabel(['Valeurs observes de ' Nom],'fontweight','bold','fontsize',12); 
ylabel(['Valeurs prdites de ' Nom],'fontweight','bold','fontsize',12);
print -depsc YvsYc
%
% e versus Id et Yc
%
figure(3)
set(figure(3),'Color',[1 1 1])
set(figure(3),'Position',[10 40 1000 650])
subplot(221)
plot(x(:,1),e,'k+')
xlabel([xName(1,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([x(1,1) x(end,1) min(e)-std(e) max(e)+std(e)]);
subplot(222)
plot(yc(:,1),e,'k+')
xlabel(['Valeurs prdites de : ' Nom],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(yc) max(yc) min(e)-std(e) max(e)+std(e)]);
subplot(223)
plot(x(:,2),e,'k+')
xlabel([xName(2,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(x(:,2)) max(x(:,2)) min(e)-std(e) max(e)+std(e)]);
subplot(224)
plot(x(:,3),e,'k+')
xlabel([xName(3,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(x(:,3)) max(x(:,3)) min(e)-std(e) max(e)+std(e)]);
%print -depsc evsIdYcX23
%
% e versus x
%
figure(4)
set(figure(4),'Color',[1 1 1])
set(figure(4),'Position',[10 40 1000 650])
subplot(221)
plot(x(:,4),e,'k+')
xlabel([xName(4,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(x(:,4)) max(x(:,4)) min(e)-std(e) max(e)+std(e)]);
subplot(222)
plot(x(:,5),e,'k+')
xlabel([xName(5,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(x(:,5)) max(x(:,5)) min(e)-std(e) max(e)+std(e)]);
subplot(223)
plot(x(:,6),e,'k+')
xlabel([xName(6,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(x(:,6)) max(x(:,6)) min(e)-std(e) max(e)+std(e)]);
subplot(224)
plot(x(:,7),e,'k+')
xlabel([xName(7,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(x(:,7)) max(x(:,7)) min(e)-std(e) max(e)+std(e)]);
%print -depsc evsX4567
%
% e versus x
%
figure(5)
set(figure(5),'Color',[1 1 1])
set(figure(5),'Position',[10 40 1000 650])
subplot(221)
plot(x(:,8),e,'k+')
xlabel([xName(8,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(x(:,8)) max(x(:,8)) min(e)-std(e) max(e)+std(e)]);
subplot(222)
plot(x(:,9),e,'k+')
xlabel([xName(9,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(x(:,9)) max(x(:,9)) min(e)-std(e) max(e)+std(e)]);
subplot(223)
plot(x(:,10),e,'k+')
xlabel([xName(10,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(x(:,10)) max(x(:,10)) min(e)-std(e) max(e)+std(e)]);
subplot(224)
plot(x(:,11),e,'k+')
xlabel([xName(11,:)],'fontweight','bold','fontsize',12);
ylabel('Rsidus (e)','fontweight','bold','fontsize',12);
axis([min(x(:,11)) max(x(:,11)) min(e)-std(e) max(e)+std(e)]);
%print -depsc evsX891011