function [del]=int_conf(para,xi,ind,t)
%
% function [del]=int_conf(para,xi,ind,t)
%   
% Calcule les intervalles de confiance sur les parametres des modeles a estimer
% input  : para : Structure contenant les rsultats de rgression (Wdip, Wz, Wst, Wsize)
%            xi : Attributs des modeles a estimer
%           ind : Indice des attributs a garder
%             t : Valeur de la table de student
% output :  del : Delta pour l'intervalle de confiance
%
% Maxime Claprood
%
%
n=size(para.x,1);           % Nombre de donnes
p=size(para.intb,1)-1;     % Nombre de parametres
s=sqrt((para.e'*diag(para.w)*para.e)/(n-(p+1)));
XX=diag(xi(:,ind)*inv(para.x(:,ind)'*diag(para.w)*para.x(:,ind))*xi(:,ind)');
del=t*s*sqrt(1+XX);
