function [W]=poids(w)
%
% Calcul de la matrice des poids
%
ww(:,[1])=w(:,[1]);
w(:,[2,3])=sqrt(w(:,[2,3]));    % Racine carre (#canaux, Amp/bruit) pour viter les valeurs extremes
for i=3:13                      % On normalise pour que tous les attributs aient le meme poids
    ww(:,i)=w(:,i)./max(w(:,i));
end
w_att=sum(ww(:,[4:13]),2);      % On additionne les std pour tous les attributs
w_att=1./w_att;                 % On trouve l'inverse (poids = 1/std)
w_att(w_att==Inf)=max(w_att(w_att~=Inf));   % On met le poids max aux donnes avec std=0 
w_att=w_att./max(w_att);        % On normalise pour avoir un max de 1
w_att=sqrt(w_att);              % Racine carre pour viter les valeurs extremes
WW=w(:,2)+2*w_att+ww(:,3);      % Poids finaux
WW=WW./max(WW);                 % Normaliser les poids finaux pour avoir un max de 1
W=diag(WW);                     % Crer une matrice avec les poids sur la diagonale
%
figure
plot(w(:,1),WW,'k+')
title('Poids associ a chaque modele','fontweight','bold','fontsize',14)
xlabel('No Modele','fontweight','bold','fontsize',12);
ylabel('Poids','fontweight','bold','fontsize',12)
