function [dbxdbz]=openAbitibi(modele)
%
% function [dbxdbz]=openAbitibi(modele)
%
% Loader les donnes provenant du CD du lev MEGATEM en 2003 en Abitibi
% ISO, New Insco, Gallen et Aldermac
% Permet a l'usager de traiter les donnes pour le calcul des attributs
% input : modele : Fichier a ouvrir 
%                       100 : insco_bt1
%                       101 : insco_bt2
%                       102 : insco_btr
%                       103 : insco_height1
%                       104 : insco_height2
%                       105 : insco_height3
%                       106 : insco_height4
%                       107 : gallen_bt1
%                       108 : gallen_bt2
%                       109 : aldermac_bt1
%                       110 : aldermac_bt2
% output : dbxdbz : Numro de ligne, Position en x, Position en y, dbx/dt Ch #6 a 20, dbz/dt Ch #6 a 20
%
% Maxime Claprood
%
switch modele
    case 100
        load D:\oasis_xyz\insco_bt1.XYZ;
        dbxdbz=insco_bt1(:,[1,5,6,140:154,180:194]);
    case 101
        load D:\oasis_xyz\insco_bt2.XYZ;
        dbxdbz=insco_bt2(:,[1,5,6,140:154,180:194]);
    case 102
        load D:\oasis_xyz\insco_btr.XYZ;
        dbxdbz=insco_btr(:,[1,5,6,140:154,180:194]);
    case 103
        load D:\oasis_xyz\insco_height1.XYZ;
        dbxdbz=insco_height1(:,[1,5,6,140:154,180:194]);
    case 104
        load D:\oasis_xyz\insco_height2.XYZ;
        dbxdbz=insco_height2(:,[1,5,6,140:154,180:194]);
    case 105
        load D:\oasis_xyz\insco_height3.XYZ;
        dbxdbz=insco_height3(:,[1,5,6,140:154,180:194]);
    case 106
        load D:\oasis_xyz\insco_height4.XYZ;
        dbxdbz=insco_height4(:,[1,5,6,140:154,180:194]);
    case 107
        load D:\oasis_xyz\gallen_bt1.XYZ;
        dbxdbz=gallen_bt1(:,[1,5,6,140:154,180:194]);
    case 108
        load D:\oasis_xyz\gallen_bt2.XYZ;
        dbxdbz=gallen_bt2(:,[1,5,6,140:154,180:194]);
    case 109
        load D:\oasis_xyz\aldermac_bt1.XYZ;
        dbxdbz=aldermac_bt1(:,[1,5,6,140:154,180:194]);
    case 110
        load D:\oasis_xyz\aldermac_bt2.XYZ;
        dbxdbz=aldermac_bt2(:,[1,5,6,140:154,180:194]);
end
dbxdbz(:,[4:end])=dbxdbz(:,[4:end])/1000;   % Mettre le tout en nT/s
        