function [dbxdbz]=openVMS(Where,modele)
%
% function [dbxdbz]=openVMS(Where,modele)
%
% Ouvre les fichiers de donnes (format texte ".XYZ") de VMS provenant de Noranda
% Fichiers TARGET1.XYZ a TARGET9.XYZ
% input : Where : Rpertoire contenant les fichiers de donnes
%        modele : Numro de modele a ouvrir
% output : dbxdbz : Numro de ligne, Position en x, Position en y, dbx/dt Ch #6 a 20, dbz/dt Ch #6 a 20
%
% Maxime Claprood
%
%
%
% Pour corriger petite anomalie du fichier #5
%
if modele==5
    NbCol=34;
else
    NbCol=35;
end
dbxdbz=[];
filein=['TARGET_',int2str(modele),'.XYZ']; 
[fid,mesg]=fopen([Where,'/',filein],'r');
if (fid<0), return, end;
temp=readuntil(fid,'Line');
t=1;
i=0;
%
% Rassembler le fichier selon le format dsir
%
while t>=0
    i=i+1;
    xz_brut=fscanf(fid,'%f',[NbCol inf])';
    toto(:,1)=i*ones(size(xz_brut,1),1);            % Numro de ligne
    toto(:,[2,3])=xz_brut(:,[1,2]);                 % Positions en x et y
    toto(:,[4:NbCol-2])=xz_brut(:,[6:NbCol])/1000;  % dbx/dt et dbz/dt
    dbxdbz=[dbxdbz;toto];                           % Rassembler pour toutes les lignes
    t=fgetl(fid);
    clear toto; clear xz_brut;
end
fclose(fid);
if modele==5
    dbxdbz=[dbxdbz(:,[1:14]) zeros(size(dbxdbz,1),1) dbxdbz(:,[15:end])];
end