function [a]=openparameters(NoiseLevel)
%
% function [a]=openparameters(NoiseLevel)
%
% Ouvrir le fichier contenant les parametres des modeles gnriques ("parameters.txt")
% input  : NoiseLevel : Facteur ajustant le niveau de bruit par rapport au fichier original
% output : a : Structure comprenant les champs
%                .paraName : Nom des parametres
%                    .para : Valeurs des parametres pour les 2100 modeles
%               .TimeOnOff : Temps on, temps mort, dure du signal
%                  .TimeCh : Dbut, fin, interval et milieu des canaux de temps
%              .TimeChName : Entete des colonnes du fichier de temps
%
% Maxime Claprood
%
% Ouvre le fichier de parametres des 2100 modeles
%
filein1=('parameters');
[fid1,mesg1] = fopen([filein1,'.txt'],'r');
if (fid1<0), return, end;
a.paraName=char('Identificateur','Longueur','Extension','Profondeur','Conductance','Pendage','Taille');
a.para=fscanf(fid1,'%g',[6 2100]);
a.para=a.para';
a.para(:,7)=a.para(:,2).*a.para(:,3);   % Taille de la plaque
fclose(fid1);
%
% Ouvre le fichier de temps du MEGATEM ("megatem90.txt")
%
a.TimeOnOff = [2.36 3.20 5.56];
filein2=('megatem90');
[fid2,mesg2] = fopen([filein2,'.txt'],'r');
if (fid2<0), return, end;
a.TimeCh=fscanf(fid2,'%g',[4 20]);
a.TimeCh = a.TimeCh';
a.TimeChName=char('TempsDebut','TempsFin','Intervalle','TempsMilieu');
fclose(fid2);
%
% Ouvre le fichier de bruit pour le lev MEGATEM en Abitibi
%
filein3=('BruitMegatem90');
[fid3,mesg3] = fopen([filein3,'.txt'],'r');
if (fid3<0), return, end;
a.bruit=fscanf(fid3,'%g',[2 20]);
a.bruit = NoiseLevel*a.bruit';
a.bruitName = char('BruitDBX','BruitDBZ');