% VMSpicking
%
% Programme pour slectionner manuellement les anomalies sur les levs MEGATEM
% Permet de traiter les donnes provenant de diffrentes sources
%
% Maxime Claprood
%
%
clear
%
% Choisir la source de donnes
%
DataType=input('Quel type de donnees : \n \n 1 = VMS Abitibi \n 2 = Autres VMS \n 3 = Fichier ArjunAir \n 4 = Fichier LeroirAir \n')
switch DataType
    case 1
        %
        % Fichiers provenant de la campagne de terrain de Noranda en Abitibi en 2003
        %
        modele=input('Inscrivez le numero du fichier a ouvrir \n \n100: insco_bt1 \n101: insco_bt2 \n102: insco_btr \n103: insco_height1 \n104: insco_height2 \n105: insco_height3 \n106: insco_height4 \n107: gallen_bt1 \n108: gallen_bt2 \n109: aldermac_bt1 \n110: aldermac_bt2 \n \n');
        [dbxdbz]=openAbitibi(modele);
    case 2
        %
        % Fichiers divers provenant de Noranda
        %
        Where=['DonneesTests'];
        modele=input('No du modele a analyser (1 a 9): ')
        [dbxdbz]=openVMS(Where,modele);
    case 3
        %
        % Fichiers ArjunAir.amx a traiter manuellement (101 pts de mesures)
        %
        Where=['ModelesTests'];
   		modele=input('No du modele a analyser (20001 a 20024): ')
        [dbxdbz]=open_all_lines(modele,Where,29,101,1,150);
    case 4
        %
        % Fichiers LeroiAir.amx a traiter manuellement (151 pts de mesures)
        %
        Where=['ModelesTests'];
   		modele=input('No du modele a analyser (10001 a 10621 ou 30001 a 30072): ')
        [dbxdbz]=open_all_lines(modele,Where,29,151,4,150);
end
i=unique(dbxdbz(:,1));
%
% Calcul des attributs
%
[a,DBX,DBZ,PPX,PPZ,tauEE,DBXDBZ]=VMS_peaks(modele,dbxdbz,i);
%
% Enregistrer les donnes
%
% load VMSdata
% atest=a;
% PPXtest=[PPXtest;PPX];
% PPZtest=[PPZtest;PPZ];
% tauEEtest=[tauEEtest;tauEE];
% DBXDBZtest=[DBXDBZtest;DBXDBZ];
% save VMSdata atest PPXtest PPZtest tauEEtest DBXDBZtest;