function [rp]=corpar2(x,fix)
%
% syntaxe: [rp]=corpar2(x,fix)
%
% Cette fonction calcule les correlations partielles de la matrice de donnes x
% Les p variables sont en colonne.
% Le vecteur fix (1xp) contient des 0 ou des 1, les 1 indiquent les variables a controler.
% L'output dans rp est une matrice pxp ou p est le nombre de variables
% dans rp, les lignes et les colonnes correspondant  des variables fixes sont
% remplies de zros.
%
[n,p]=size(x);
c=cov(x);
rp=zeros(p,p);
fix=fix~=0;           % commande pour rendre le programme compatible avec Matlab5
if sum(fix)==0,       % Ce test verifie s'il y a au moins une variable fixee
  cp=c;
else
  cp=c(~fix,~fix)-c(~fix,fix)*inv(c(fix,fix))*c(fix,~fix);
end
si=sqrt(diag(cp));
cp=cp./(si*si');
rp(~fix,~fix)=cp;

