function [dbxdbz]=open_all_lines(modele,repertoire,NbCol,NbRg,NbLine,LineSep)
%
% function [DBX,DBZ,dbx,dbz]=openEmGui(modele,repertoire,NbCol,NbRg,NbLine,LineSep)
%
% openEmGui : Ouvre le fichier de sortie provenant des logiciels de CSIRO
%             Interpole les donnes aux 2m et garde toutes les lignes de vol
% inputs  : modele : No du modele a ouvrir
%       repertoire : Nom du rpertoire dans lequel sont les modeles 
%            NbCol : Nombre de colonnes du fichier EmGui
%             NbRg : Nombre de points de mesure d'une ligne de vol
%           NbLine : Nombre de lignes de vol
%          LineSep : Sparation entre 2 lignes de vol
% outputs :    DBX : dbx/dt total (nT/s)
%              DBZ : dbz/dt total (nT/s)
%              dbx : dbx/dt plaque (nT/s)
%              dbz : dbz/dt plaque (nT/s)
%
% Maxime Claprood
%
%
filein=['model',int2str(modele),'.amx']; 
[fid,mesg]=fopen([repertoire,'/',filein],'r');
if (fid<0), return, end;
temp=readuntil(fid,'TIMES(ms)=');
temp=fgetl(fid);
bz=fscanf(fid,'%f %f %f %f %f %f %s %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f',[NbCol NbRg*NbLine])';
t=fgetl(fid);
bx=fscanf(fid,'%f %f %f %f %f %f %s %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f',[NbCol NbRg*NbLine])';
t=fgetl(fid);
by=fscanf(fid,'%f %f %f %f %f %f %s %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f',[NbCol NbRg*NbLine])';
t=fgetl(fid);
fclose(fid);
%
DBX=bx(:,[1,4,5,10:end]);
DBZ=bz(:,[1,4,5,10:end]);
%
% Garder la rponse de la plaque seule
%
medx=median(DBX([1:20,end-20:end],[4:end]));
medz=median(DBZ([1:20,end-20:end],[4:end]));
un=ones(length(DBX),1);
dbx=[DBX(:,[1:3]) DBX(:,[4:end])-(un*medx)];
dbz=[DBZ(:,[1:3]) DBZ(:,[4:end])-(un*medz)];
dbxdbz=[DBX(:,[1:3]) DBX(:,[9:end]) DBZ(:,[9:end])];
%
% Numro de ligne de vol
%
dbxdbz(dbxdbz(:,3)==0,1)=1;
dbxdbz(dbxdbz(:,3)==150,1)=2;
dbxdbz(dbxdbz(:,3)==300,1)=3;
dbxdbz(dbxdbz(:,3)==450,1)=4;
