function [a]=para_MEGATEM(Freq,NoiseLevel)
%
% function [a]=para_MEGATEM(Freq,NoiseLevel)
% Ouvrir le fichier contenant les parametres des modeles gnriques ("parameters.txt")
%
% input  : NoiseLevel : Facteur ajustant le niveau de bruit par rapport au fichier original
% output : a : Structure comprenant les champs
%            :  .TimeOnOff : Temps on, temps mort, dure du signal
%            :     .TimeCh : Dbut, fin, intervalle et milieu des canaux de temps
%            : .TimeChName : Entete des colonnes du fichier de temps
% Maxime Claprood
%
%
% Choisit les parametres selon la frquence d'mission
%
if Freq==90
    a.TimeOnOff = [2.36 3.20 5.56];
    filein2=('megatem90');
    filein3=('BruitMegatem90');
elseif Freq==30
    a.TimeOnOff = [4.023 12.643 16.666];
    filein2=('megatem30');
    filein3=('BruitMegatem30');
else
    Message='Pas une frquence d`mission du MEGATEM'
    break;
end
%
% Ouvre le fichier de temps du MEGATEM (30 ou 90 Hz)
%
[fid2,mesg2] = fopen([filein2,'.txt'],'r');
if (fid2<0), return, end;
a.TimeCh=fscanf(fid2,'%g',[4 20]);
a.TimeCh = a.TimeCh';
a.TimeChName=char('TempsDebut','TempsFin','Intervalle','TempsMilieu');
fclose(fid2);
%
% Ouvre le fichier de bruit pour le lev MEGATEM en Abitibi (30 ou 90 Hz)
%
[fid3,mesg3] = fopen([filein3,'.txt'],'r');
if (fid3<0), return, end;
a.bruit=fscanf(fid3,'%g',[2 20]);
a.bruit = NoiseLevel*a.bruit';
%
% Ouvre le fichier de parametres des modeles VMS
%
No=39;
filein1=('paraVMS');
[fid1,mesg1] = fopen([filein1,'.txt'],'r');
if (fid1<0), return, end;
a.paraName=char('Name','Line','Min_Size','Depth','Conductance','Dip','Size');
a.para=fscanf(fid1,'%g',[7 No]);
a.para=a.para';
fclose(fid1);
