function [PPX]=peakDBX(modele,L,a,ind,dbx);
%
% function [PPX]=peakDBX(modele,L,a,ind,dbx);
% Permet a l'usager de "picker" les pics en dbx/dt pour le calcul des attributs en dbx/dt
%
% input : modele : Numro du modele
%              L : Ligne de vol slectionne
%              a : Structure contenant les parametres
%            ind : Canaux de temps dont Amplitude > bruit 
%            dbx : dbx/dt pour la ligne de vol et les canaux 6 a 20
% output : PPX : Attributs en dbx/dt
%
% Maxime Claprood
%
%
k=0;
%
% On boucle sur tous les canaux de temps avec une amplitude assez forte
%
for j=ind
    k=k+1;
    %
    % Afficher le graphique dbx/dt pour chaque canal de temps 1 par 1
    %
    figure(1)
    set(figure(1),'Position',[10 40 1000 650])
    plot([min(dbx(:,1)) max(dbx(:,1))],[a.bruit(j+5,1) a.bruit(j+5,1)],'k-' )
    hold on
    plot(dbx(:,1),dbx(:,j+1),'r-')
    title(['dbx/dt, Canal # ',int2str(j+5)],'fontweight','bold','fontsize',12)
    xlabel('distance de x0 (m)','fontweight','bold','fontsize',10)
    ylabel('dbx/dt (nT/s)','fontweight','bold','fontsize',10)
    text(max(dbx(:,1)),max(dbx(:,j+1)),'1er pic: celui de droite, 2e pic: celui de gauche','HorizontalAlignment','right')
    %
    % "Slectionner" les 2 pics (1er pic: droite, 2e pic: gauche)
    % Si un pic n'est pas visible, picker a droite de la zone de graphique
    %
    [xX,yX]=ginput(2);
    hold off;
    %
    % Calcul des attributs avec les pics slectionns
    %
    ppx(k,1)=L;
    ppx(k,2)=j;
    ppx(k,3)=abs(xX(1)-xX(2));
    ppx(k,4)=abs(yX(1)/yX(2));
    %
    % On met une valeur bidon si un pic n'existe pas
    %
    if sum(xX>max(dbx(:,1)))>0
        ppx(k,[3,4])=1e6;
    end
end
%
% On garde les valeurs mdianes des attributs
%
PPX(1)=modele;
PPX(2)=L;
PPX(3)=median(ppx(ppx(:,3)<1e6,3));
PPX(4)=median(ppx(ppx(:,4)<1e6,4));
close all